import json
from opensearchpy import helpers, OpenSearch


SERVICE_URI = 'https://admin:admin@opensearch-node1:9200'
INDEX_NAME = 'epicurious-recipes'

os_client = OpenSearch(hosts=SERVICE_URI, ssl_enable=True,verify_certs=False)


def load_data():
    with open('/data/full_format_recipes.json', 'r') as f:
        data = json.load(f)
        for recipe in data:
            yield {'_index': INDEX_NAME, '_source': recipe}


helpers.bulk(os_client, load_data())