#!/usr/bin/env bash
# *******************************************************************************
# Copyright (c) 2023 Eclipse Foundation and others.
# This program and the accompanying materials are made available
# under the terms of the MIT License
# which is available at https://spdx.org/licenses/MIT.html
# SPDX-License-Identifier: MIT
# *******************************************************************************

# An orchestrator script to extract and transform otterdog jsonnet


source /scripts/helpers.sh

echo "Downloading otterdog.json from https://github.com/EclipseFdn/otterdog-configs"
download_otterdog_configs

echo "Extracting JSONNET and Transforming into JSON"
extract_jsonnet_transform_json

echo "Loading data into OpenSearch"
python /app/local/load.py
